Bug 1346034 - Azure provider unable to refresh when elements have non-ascii characters
Summary: Azure provider unable to refresh when elements have non-ascii characters
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.5.0
Hardware: All
OS: All
unspecified
high
Target Milestone: GA
: 5.5.5
Assignee: Daniel Berger
QA Contact: Jeff Teehan
URL:
Whiteboard:
Depends On: 1345888
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-13 18:02 UTC by John Prause
Modified: 2019-11-14 08:22 UTC (History)
11 users (show)

Fixed In Version: 5.5.5.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1345888
Environment:
Last Closed: 2016-07-26 15:35:30 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
bz_1346034_2.tgz (110.13 KB, application/x-gzip)
2016-06-15 22:07 UTC, Brandon Dunne
no flags Details
bz_1346034_3.tgz (112.62 KB, application/x-gzip)
2016-06-16 14:15 UTC, Brandon Dunne
no flags Details
bz_1346034_4.tgz (114.19 KB, application/x-gzip)
2016-06-16 17:55 UTC, Brandon Dunne
no flags Details
bz_1346034_5.tgz (114.21 KB, application/x-gzip)
2016-06-20 16:28 UTC, Brandon Dunne
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1488 normal SHIPPED_LIVE CFME 5.5.5 bug fixes and enhancement update 2016-07-26 19:28:27 UTC

Comment 9 Brandon Dunne 2016-06-15 22:07:24 UTC
Created attachment 1168523 [details]
bz_1346034_2.tgz

Fix URI encoding issues in azure-armrest gem

Comment 12 Brandon Dunne 2016-06-16 14:15:26 UTC
Created attachment 1168754 [details]
bz_1346034_3.tgz

URI.escape more urls that may have invalid characters

Comment 15 Brandon Dunne 2016-06-16 17:55:05 UTC
Created attachment 1168814 [details]
bz_1346034_4.tgz

Updated again to rescue failures when trying to fetch URIs with invalid characters.

Comment 17 Brandon Dunne 2016-06-20 16:28:14 UTC
Created attachment 1169945 [details]
bz_1346034_5.tgz

Includes the recently released azure-signature v0.2.2

Comment 18 Daniel Berger 2016-06-20 17:22:17 UTC
https://github.com/ManageIQ/manageiq/pull/9294

Comment 21 Jeff Teehan 2016-07-11 22:35:31 UTC
I was able to force this by uploading a disk, but the disk name in question cannot be created in azure under normal circumstances.  I'm not convinced our workaround is such a great idea.  That said, this bug as written is fixed.

Here is the Azure error that the user should have received which includes a list of invalid characters:

Failed to attach new disk 'RetireFrom11-20160711-{152929}' to the virtual machine 'RetireFrom11'. Error: InvalidParameter: The entity name 'dataDisk.name' is invalid according to its validation rule: ^[^_\W][\w-._]{0,79}(?<![-.])$.

Comment 22 Daniel Berger 2016-07-12 13:07:01 UTC
Jeff, I would argue that it's a bug in Azure then. I don't think there's any issue with our fix, since we're just reporting what they've got.

Comment 24 errata-xmlrpc 2016-07-26 15:35:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1488.html


Note You need to log in before you can comment on or make changes to this bug.